OJTestSuite Class Reference

List of all members.

## Public Member Functions

(void) | - addTest:`[implementation]`
(void) | - addTestMethod:names:class:`[implementation]`
(void) | - addTestSuite:`[implementation]`
(int) | - countTestCases`[implementation]`
(void) | - createAccessorAutotests:inClass:forObject:`[implementation]`
(OJTest) | - createTestWithSelector:class:`[implementation]`
(SEL) | - getTestConstructor:`[implementation]`
(id) | - init`[implementation]`
(id) | - initWithClass:`[implementation]`
(id) | - initWithClass:name:`[implementation]`
(id) | - initWithName:`[implementation]`
(void) | - isTestMethod:`[implementation]`
(CPString) | - name`[implementation]`
(void) | - run:`[implementation]`
(void) | - setName:`[implementation]`

## Detailed Description

Definition at line 3 of file OJTestSuite.j.

## Member Function Documentation

- (void) addTest: |  | (OJTest) | aTest | `[implementation]`

Definition at line 104 of file OJTestSuite.j.

- (void) addTestMethod: |  | (SEL) | selector
names: |  | (CPArray) | names
class: |  | (Class) | aClass
|  |  | `[implementation]`

Definition at line 114 of file OJTestSuite.j.

- (void) addTestSuite: |  | (Class) | aTestClass | `[implementation]`

Definition at line 109 of file OJTestSuite.j.

- (int) countTestCases |  |  | `[implementation]`

Definition at line 173 of file OJTestSuite.j.

- (void) createAccessorAutotests: |  | (CPArray) | ivars
inClass: |  | (Class) | aClass
forObject: |  | (id) | autotestObject
|  |  | `[implementation]`

Definition at line 63 of file OJTestSuite.j.

- (OJTest) createTestWithSelector: |  | (SEL) | selector
class: |  | (Class) | aClass
|  |  | `[implementation]`

Definition at line 123 of file OJTestSuite.j.

- (SEL) getTestConstructor: |  | (Class) | aClass | `[implementation]`

Definition at line 147 of file OJTestSuite.j.

- (id) init |  |  | `[implementation]`

Definition at line 10 of file OJTestSuite.j.

- (id) initWithClass: |  | (Class) | aClass | `[implementation]`

Definition at line 29 of file OJTestSuite.j.

- (id) initWithClass: |  | (Class) | aClass
name: |  | (CPString) | aName
|  |  | `[implementation]`

Definition at line 98 of file OJTestSuite.j.

- (id) initWithName: |  | (CPString) | aName | `[implementation]`

Definition at line 20 of file OJTestSuite.j.

- (void) isTestMethod: |  | (SEL) | selector | `[implementation]`

Definition at line 142 of file OJTestSuite.j.

- (CPString) name |  |  | `[implementation]`

Definition at line 163 of file OJTestSuite.j.

- (void) run: |  | (OJTestResult) | result | `[implementation]`

Definition at line 152 of file OJTestSuite.j.

- (void) setName: |  | (CPString) | aName | `[implementation]`

Definition at line 168 of file OJTestSuite.j.

The documentation for this class was generated from the following file:

- Frameworks/OJUnit/OJTestSuite.j

All Classes Files Functions Variables